Gem::Specification.new do |s|
  s.name             = "cpee-handlerwrapper-opcua"
  s.version          = "0.12"
  s.platform         = Gem::Platform::RUBY
  s.license          = "LGPL-3.0"
  s.summary          = "OPCUA for CPEE HandlerWrapper. Use opc.tcp-read|write|exececute:// links."

  s.description      = "see https://github.com/etm/opcua-smart"

  s.files            = Dir['{example/**/*,tools/**/*,lib/**/*.rb}'] + %w(COPYING Rakefile cpee-handlerwrapper-opcua.gemspec README.md)
  s.require_path     = 'lib'
  s.extra_rdoc_files = ['README.md']
  s.bindir           = 'tools'

  s.required_ruby_version = '>=2.5.0'

  s.authors          = ['Juergen eTM Mangler']
  s.email            = 'juergen.mangler@gmail.com'
  s.homepage         = 'https://cpee.org//cpee-handlerwrapper-opcua'

  s.add_runtime_dependency 'cpee', '~>1.5', '>= 1.5.8'
  s.add_runtime_dependency 'opcua', '~>0', '>= 0.13'
  s.add_development_dependency 'rake', '~> 12'
  s.add_development_dependency 'rake-compiler', '~> 1.0'
end
